Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1410437 - [RFE] [TestOnly] PCIe: Add Generic PCIe Root Ports
Summary: [RFE] [TestOnly] PCIe: Add Generic PCIe Root Ports
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: All
OS: Unspecified
medium
low
Target Milestone: ovirt-4.2.0
: ---
Assignee: Michal Skrivanek
QA Contact: Vitalii Yerys
URL:
Whiteboard:
Depends On: 1390316 1408808 1410441
Blocks: 1173755
TreeView+ depends on / blocked
 
Reported: 2017-01-05 13:43 UTC by Marcel Apfelbaum
Modified: 2019-05-16 13:06 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of: 1408808
Environment:
Last Closed: 2018-05-15 17:38:43 UTC
oVirt Team: Virt
Target Upstream Version:
mavital: needinfo+
vyerys: testing_plan_complete+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:40:57 UTC

Description Marcel Apfelbaum 2017-01-05 13:43:41 UTC
+++ This bug was initially created as a clone of Bug #1408808 +++

+++ This bug was initially created as a clone of Bug #1390316 +++

Two reasons:
1. Can be used by both x86 and ARM VMs
2. Add a vendor-specific pci capability to these ports,
   with recommended window sizes (io/mem/prefmem) for the firmware
   for more efficient resource allocation.


Add libvirt support for the new controller.

Comment 1 Marcel Apfelbaum 2017-01-05 13:47:04 UTC
The new controller will be selected automatically by libvirt for new setups, but ovirt should be aware the Intel Root Port is being replaced by a generic one. Not sure if there are any actual work items for this BZ.

Comment 2 Martin Tessun 2017-03-16 08:22:39 UTC
Hi Michal,

your take on this. According to comment 1, I believe we could move this to TestOnly. I don't think there are any implication for this, or do you see anything that might cause issues in Virt?

Comment 3 Martin Polednik 2017-03-16 10:02:43 UTC
I believe this should be TestOnly as we use libvirt defaults in this regard (and we don't interfere with libvirt's idea of addressing at all).

Comment 4 Yaniv Kaul 2017-06-06 21:35:55 UTC
Martin, can we delay this for 4.3 for the time being?

Comment 5 Martin Tessun 2017-06-07 20:36:37 UTC
That's just a TestOnly BZ, so I think there is not much of an effort here.
Leaving it to Maital for weighing in.

Comment 6 Martin Tessun 2017-06-07 20:37:51 UTC
... (damn BZ edit function is missing) ...

I don't think we have a real chance in avoiding the test, as this will be selected automatically by libvirt, so we need to test and check it.

Comment 7 meital avital 2017-06-21 10:17:41 UTC
Yes, we can test it.

Comment 8 Yaniv Kaul 2017-07-30 08:52:33 UTC
Anything that prevents it from moving to ON_QA?

Comment 9 Martin Tessun 2017-08-03 07:00:25 UTC
(In reply to Yaniv Kaul from comment #8)
> Anything that prevents it from moving to ON_QA?

Not from my side.
Meital, Nisim?

Comment 10 Michal Skrivanek 2017-08-03 07:47:48 UTC
note this is q35 related, not sure it makes sense to test anything until we fully productize q35 in oVirt

Comment 11 meital avital 2017-09-28 11:58:02 UTC
(In reply to Martin Tessun from comment #9)
> (In reply to Yaniv Kaul from comment #8)
> > Anything that prevents it from moving to ON_QA?
> 
> Not from my side.
> Meital, Nisim?

Not from our side too.

Comment 12 Vitalii Yerys 2017-11-09 11:13:12 UTC
Hi Michal, 

maybe you have some info on when q35 will be fully productized in oVirt so we could start testing? 

thanks.

Comment 13 Michal Skrivanek 2017-11-09 14:22:28 UTC
I don't. It's a tech preview status in 4.2 AFAIK
It can be tested independently though as it's "just a libvirt change" to us

Comment 14 RHV bug bot 2017-12-06 16:17:04 UTC
INFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[No external trackers attached]

For more info please contact: rhv-devops@redhat.com

Comment 15 RHV bug bot 2017-12-12 21:15:39 UTC
INFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[No external trackers attached]

For more info please contact: rhv-devops@redhat.com

Comment 16 RHV bug bot 2017-12-18 17:05:49 UTC
INFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[No external trackers attached]

For more info please contact: rhv-devops@redhat.com

Comment 19 errata-xmlrpc 2018-05-15 17:38:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 20 Franta Kust 2019-05-16 13:06:34 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.